// file: lat_set_10.cc
//

// isip include files
//
#include "lattice.h"
#include "lattice_constants.h"

// method: set_name_cc
//
// arguments:
//  char_1* name_a: (input) name of the lattice
//
// return: a logical_1 indicating status
//
// this method sets the name of the lattice
//
logical_1 Lattice::set_name_cc(char_1* name_a) {

  // get the length of the input string
  //
  int_4 str_len = strlen((char*)name_a);

  // allocate memory for the name
  //
  if (name_d != (char_1*)NULL) {
    delete [] name_d;
  }
  name_d = new char_1[str_len + (int_4)1];
  
  // copy the string
  //
  strcpy((char*)name_d, (char*)name_a);
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
